GCLOUD_COMPUTE_INSTANCE-GROUPS_MANAGED_RECREATE-INSTANCES(1)

NAME

gcloud compute instance-groups managed recreate-instances - recreate instances managed by a managed instance group

SYNOPSIS

gcloud compute instance-groups managed recreate-instances NAME --instances=INSTANCE,[INSTANCE,...] [--region=REGION | --zone=ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute instance-groups managed recreate-instances is used to recreate one or more instances in a managed instance group. The underlying virtual machine instances are deleted and recreated based on the latest instance template configured for the managed instance group.

POSITIONAL ARGUMENTS

    NAME
        The name of the managed instance group.

REQUIRED FLAGS

    --instances=INSTANCE,[INSTANCE,...]
        Names of instances to recreate.

OPTIONAL FLAGS
At most one of these may be specified:

    --region=REGION
        The region of the managed instance group to operate on. If not specified, you will be prompted to select a region. A list of regions can be fetched by running:
        $ gcloud compute regions list
    Overrides the default compute/region property value for this command invocation.

    --zone=ZONE
        The zone of the managed instance group to operate on. If not specified, you will be prompted to select a zone. A list of zones can be fetched by running:
        $ gcloud compute zones list
    Overrides the default compute/zone property value for this command invocation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.